osg::ValueVisitor Class Reference

`#include <Array>`

## Public Member Functions

| ValueVisitor ()
virtual | ~ValueVisitor ()
virtual void | apply (GLbyte &)
virtual void | apply (GLshort &)
virtual void | apply (GLint &)
virtual void | apply (GLushort &)
virtual void | apply (GLubyte &)
virtual void | apply (GLuint &)
virtual void | apply (GLfloat &)
virtual void | apply (GLdouble &)
virtual void | apply (Vec2b &)
virtual void | apply (Vec3b &)
virtual void | apply (Vec4b &)
virtual void | apply (Vec2s &)
virtual void | apply (Vec3s &)
virtual void | apply (Vec4s &)
virtual void | apply (Vec2i &)
virtual void | apply (Vec3i &)
virtual void | apply (Vec4i &)
virtual void | apply (Vec2ub &)
virtual void | apply (Vec3ub &)
virtual void | apply (Vec4ub &)
virtual void | apply (Vec2us &)
virtual void | apply (Vec3us &)
virtual void | apply (Vec4us &)
virtual void | apply (Vec2ui &)
virtual void | apply (Vec3ui &)
virtual void | apply (Vec4ui &)
virtual void | apply (Vec2 &)
virtual void | apply (Vec3 &)
virtual void | apply (Vec4 &)
virtual void | apply (Vec2d &)
virtual void | apply (Vec3d &)
virtual void | apply (Vec4d &)
virtual void | apply (Matrixf &)
virtual void | apply (Matrixd &)
virtual void | apply (Quat &)
virtual void | apply (GLuint64 &)
virtual void | apply (GLint64 &)

## Constructor & Destructor Documentation

## ValueVisitor()

osg::ValueVisitor::ValueVisitor | ( |  | ) |

inline

## ~ValueVisitor()

virtual osg::ValueVisitor::~ValueVisitor | ( |  | ) |

inline virtual

## Member Function Documentation

## apply() [1/37]

virtual void osg::ValueVisitor::apply | ( | GLbyte & |  | ) |

inline virtual

Referenced by osg::TemplateArray< T, ARRAYTYPE, DataSize, DataType >::accept(), and osg::TemplateIndexArray< T, ARRAYTYPE, DataSize, DataType >::accept().

## apply() [2/37]

virtual void osg::ValueVisitor::apply | ( | GLdouble & |  | ) |

inline virtual

## apply() [3/37]

virtual void osg::ValueVisitor::apply | ( | GLfloat & |  | ) |

inline virtual

## apply() [4/37]

virtual void osg::ValueVisitor::apply | ( | GLint & |  | ) |

inline virtual

## apply() [5/37]

virtual void osg::ValueVisitor::apply | ( | GLint64 & |  | ) |

inline virtual

## apply() [6/37]

virtual void osg::ValueVisitor::apply | ( | GLshort & |  | ) |

inline virtual

## apply() [7/37]

virtual void osg::ValueVisitor::apply | ( | GLubyte & |  | ) |

inline virtual

## apply() [8/37]

virtual void osg::ValueVisitor::apply | ( | GLuint & |  | ) |

inline virtual

## apply() [9/37]

virtual void osg::ValueVisitor::apply | ( | GLuint64 & |  | ) |

inline virtual

## apply() [10/37]

virtual void osg::ValueVisitor::apply | ( | GLushort & |  | ) |

inline virtual

## apply() [11/37]

virtual void osg::ValueVisitor::apply | ( | Matrixd & |  | ) |

inline virtual

## apply() [12/37]

virtual void osg::ValueVisitor::apply | ( | Matrixf & |  | ) |

inline virtual

## apply() [13/37]

virtual void osg::ValueVisitor::apply | ( | Quat & |  | ) |

inline virtual

## apply() [14/37]

virtual void osg::ValueVisitor::apply | ( | Vec2 & |  | ) |

inline virtual

## apply() [15/37]

virtual void osg::ValueVisitor::apply | ( | Vec2b & |  | ) |

inline virtual

## apply() [16/37]

virtual void osg::ValueVisitor::apply | ( | Vec2d & |  | ) |

inline virtual

## apply() [17/37]

virtual void osg::ValueVisitor::apply | ( | Vec2i & |  | ) |

inline virtual

## apply() [18/37]

virtual void osg::ValueVisitor::apply | ( | Vec2s & |  | ) |

inline virtual

## apply() [19/37]

virtual void osg::ValueVisitor::apply | ( | Vec2ub & |  | ) |

inline virtual

## apply() [20/37]

virtual void osg::ValueVisitor::apply | ( | Vec2ui & |  | ) |

inline virtual

## apply() [21/37]

virtual void osg::ValueVisitor::apply | ( | Vec2us & |  | ) |

inline virtual

## apply() [22/37]

virtual void osg::ValueVisitor::apply | ( | Vec3 & |  | ) |

inline virtual

## apply() [23/37]

virtual void osg::ValueVisitor::apply | ( | Vec3b & |  | ) |

inline virtual

## apply() [24/37]

virtual void osg::ValueVisitor::apply | ( | Vec3d & |  | ) |

inline virtual

## apply() [25/37]

virtual void osg::ValueVisitor::apply | ( | Vec3i & |  | ) |

inline virtual

## apply() [26/37]

virtual void osg::ValueVisitor::apply | ( | Vec3s & |  | ) |

inline virtual

## apply() [27/37]

virtual void osg::ValueVisitor::apply | ( | Vec3ub & |  | ) |

inline virtual

## apply() [28/37]

virtual void osg::ValueVisitor::apply | ( | Vec3ui & |  | ) |

inline virtual

## apply() [29/37]

virtual void osg::ValueVisitor::apply | ( | Vec3us & |  | ) |

inline virtual

## apply() [30/37]

virtual void osg::ValueVisitor::apply | ( | Vec4 & |  | ) |

inline virtual

## apply() [31/37]

virtual void osg::ValueVisitor::apply | ( | Vec4b & |  | ) |

inline virtual

## apply() [32/37]

virtual void osg::ValueVisitor::apply | ( | Vec4d & |  | ) |

inline virtual

## apply() [33/37]

virtual void osg::ValueVisitor::apply | ( | Vec4i & |  | ) |

inline virtual

## apply() [34/37]

virtual void osg::ValueVisitor::apply | ( | Vec4s & |  | ) |

inline virtual

## apply() [35/37]

virtual void osg::ValueVisitor::apply | ( | Vec4ub & |  | ) |

inline virtual

## apply() [36/37]

virtual void osg::ValueVisitor::apply | ( | Vec4ui & |  | ) |

inline virtual

## apply() [37/37]

virtual void osg::ValueVisitor::apply | ( | Vec4us & |  | ) |

inline virtual

The documentation for this class was generated from the following file:

- Array